%global _empty_manifest_terminate_build 0
Name:           python-cachez
Version:        0.1.2
Release:        4
Summary:        Cache decorator for global or instance level memoize.
License:        Apache-2.0
URL:            http://github.com/jealous/cachez
Source0:        https://files.pythonhosted.org/packages/c5/3e/67c7ce94d258cf0070f62aed6ef705ce83314e7e72eb40d881b5cc90642a/cachez-0.1.2.tar.gz
BuildArch:      noarch
%description
Cache decorator for global or instance level memoize.

%package -n python3-cachez
Summary:        Cache decorator for global or instance level memoize.
Provides:       python-cachez
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pytest
BuildRequires:  python3-hamcrest
%description -n python3-cachez
Cache decorator for global or instance level memoize.

%package help
Summary:        Cache decorator for global or instance level memoize.
Provides:       python3-cachez-doc
%description help
Cache decorator for global or instance level memoize.

%prep
%autosetup -n cachez-0.1.2 -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
sed -Ei 's/(test_pickle_unpickle)/_\1/' cachez_test.py
pytest

%files -n python3-cachez -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Aug 04 2023 yaoxin <yao_xin001@hoperun.com> - 0.1.2-4
- Fix test failure caused by python update to 3.11

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.1.2-3
- DESC: delete -S git from %autosetup

* Wed Jul 28 2021 OpenStack_SIG <openstack@openeuler.org> - 0.1.2-2
- Fix check error
* Mon Jul 26 2021 OpenStack_SIG <openstack@openeuler.org> - 0.1.2-1
- Package Spec generate
